<%= form_with(model: [ community_survey, house, family_folder, person ], local: true, 
              class: "form-container", data: { action: "submit->person#checkRaceBeforeSumbit", controller: "person" }) do |form| %>
  <div class="form-content">
    <div class="form-wrapper">
      <div class="form-group --offset-right-2">
        <div class="form-group__label"> 
          <%= form.label :person_id, t('person.person_id_label') %>
        </div>
        <div class="form-group__input ui input">
          <%= form.text_field :person_id, disabled: true %>
        </div>
      </div>
    </div>

    <div class="form-wrapper">
      <div class="form-group --offset-right-2">
        <div class="form-group__label">
          <%= form.label :datesurvey, t('person.datesurvey_label'), required: true %>
        </div>
        <div class="form-group__input ui input" id="peole_datesurvey">
          <%= form.text_field :datesurvey, value: person.datesurvey, autocomplete: 'off', required: true %>
        </div>
      </div>
    </div>

    <div class="form-wrapper">
      <div class="form-group --offset-right-2">
        <div class="form-group__label">
          <%= form.label :pid, t('person.pid_label') %>
        </div>
        <div class="form-group__input ui icon input">
          <%= form.text_field :pid, autofocus: true, maxlength: 13, data: { action: 'blur->person#verify', target: "person.pid" } %>
          <i class="icon"></i>
        </div>
      </div>
    </div>

    <div class="form-wrapper">
      <div class="form-group --offset-right-2">
        <div class="form-group__label">
          <%= form.label :aid, t('person.aid_label') %>
        </div>
        <div class="form-group__input ui input">
          <%= form.text_field :aid, maxlength: 25, data: { target: "person.aid" } %>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :title_id, t('person.prename_label'), required: true %>
        </div>
        <div class="form-group__input ui input">
          <% titles = @titles.map { |a| [a.label, a.id] } %>
          <%= form.select(:title_id, options_for_select(titles, person.title_id),
            { prompt: t('please_select_label') },
            { class: 'ui selection dropdown required', required: true, data: { target: "person.title" } })%>
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :first_name, t('person.first_name_label'), required: true %>
        </div>
        <div class="form-group__input ui input">
          <%= form.text_field :first_name, required: true, data: { target: "person.firstName" } %>
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :last_name, t('person.last_name_label'), required: true %>
        </div>
        <div class="form-group__input ui input">
          <%= form.text_field :last_name, required: true, data: { target: "person.lastName" } %>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :birth_date, t('person.birth_date_label'), required: true %>
        </div>
        <div class="form-group__input ui input" id="birthdate">
          <%= form.text_field :birth_date, autocomplete: 'off', required: true %>
        </div>
      </div>

      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :age, t('person.age_label'), required: true %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('year_label') %>">
          <%= form.number_field :age, min: 0, step: 1, required: true, max: 99999  %>
        </div>
      </div>
    </div>

    <div class="form-wrapper">
      <div class="form-group" id="ctype_subtype_sub">
        <div class="form-group__label"><%= form.label :sex, t('person.sex_label'), required: true %></div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :sex, '1', required: true, data: { target: 'person.sex' } %>
              <span class="text">
                <%= t('person.sex_m_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :sex, '2', required: true, data: { target: 'person.sex' } %>
              <span class="text">
                <%= t('person.sex_f_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :weight, t('person.weight_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('kilogram_label') %>">
          <%= form.number_field :weight, min: 0, max: 99999 %>
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :height, t('person.height_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('centimeter_label') %>">
          <%= form.number_field :height, min: 0, max: 99999 %>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :waistline, t('person.waistline_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('centimeter_label') %>">
          <%= form.number_field :waistline, min: 0, max: 99999 %>
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :hips, t('person.hips_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('centimeter_label') %>">
          <%= form.number_field :hips, min: 0, max: 99999  %>
        </div>
      </div>
    </div>

    <div class="form-wrapper">
      <div class="form-group --offset-right-2">
        <div class="form-group__label">
          <%= form.label :bmi, t('person.bmi_label') %>
        </div>
        <div class="form-group__input ui input unit" data-label="<%= t('kilogram_per_meter_label') %>">
          <%= form.number_field :bmi, min: 0, step: :any, readonly: true, max: 99999  %>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :race, t('person.race_label'), required: true %>
        </div>
        <div class="form-group__input ui input">
          <% races = Race.all.order(label: :asc).map { |a| [a.label, a.code] } %>
          <%= form.select(:race, options_for_select(races, person.race),
            { prompt: t('please_select_label') },
            { class: 'ui selection dropdown required', required: true, data: { action: "change->person#raceAndNationalChanged", target: "person.race" } })%>
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :nationality, t('person.nationality_label') %>
        </div>
        <div class="form-group__input ui input">
          <% nationalities = Nationality.all.order(label: :asc).map { |a| [a.label, a.code] } %>
          <%= form.select(:nationality, options_for_select(nationalities, person.nationality),
            { prompt: t('please_select_label') },
            { class: 'ui selection dropdown', required: false, data: { action: "change->person#raceAndNationalChanged", target: "person.national" } })%>
        </div>
      </div>
      
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :religion, t('person.religion_label') %>
        </div>
        <div class="form-group__input ui input">
          <% religions = Religion.all.order(label: :asc).map { |a| [a.label, a.code] } %>
          <%= form.select(:religion, options_for_select(religions, person.religion),
            { prompt: t('please_select_label') },
            { class: 'ui selection dropdown', required: false })%>
        </div>
      </div>
    </div>

    <div class="form-wrapper">
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :bloodgroup, t('person.bloodgroup_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :bloodgroup, '1' %>
              <span class="text">
                <%= t('person.bloodgroup_a_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :bloodgroup, '2' %>
              <span class="text">
                <%= t('person.bloodgroup_b_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :bloodgroup, '3' %>
              <span class="text">
                <%= t('person.bloodgroup_ab_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :bloodgroup, '4' %>
              <span class="text">
                <%= t('person.bloodgroup_o_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
    </div>

    <div class="form-wrapper">
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :bloodrh, t('person.bloodrh_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :bloodrh, '1' %>
              <span class="text">
                <%= t('person.bloodrh_positive_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :bloodrh, '2' %>
              <span class="text">
                <%= t('person.bloodrh_negative_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :pid_father, t('person.pid_father_label')%>
        </div>
        <div class="form-group__input ui input">
          <%= form.text_field :pid_father  , maxlength: 13 %>
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :pid_mother , t('person.pid_mother_label') %>
        </div>
        <div class="form-group__input ui input">
          <%= form.text_field :pid_mother  , maxlength: 13 %>
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :pid_spouse, t('person.pid_spouse_label')%>
        </div>
        <div class="form-group__input ui input">
          <%= form.text_field :pid_spouse , maxlength: 13 %>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :nameregis, t('person.nameregis_label') %>
        </div>
        <% nameregis = Person.name_registers.map { |k, v| [ t("person.nameregis_#{k}_label"), v ] } %>
        <div class="form-group__input">
          <%= form.select(:nameregis, options_for_select(nameregis, person.nameregis),
            { prompt: t('please_select_label') },
            { class: 'ui selection dropdown'})%>
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :statusperson, t('person.statusperson_label') , required: true%>
        </div>
        <% statuspeople = Person.status_people.map { |k, v| [ t("person.statusperson_#{k}_label"), v ] } %>
        <div class="form-group__input">
          <%= form.select(:statusperson, options_for_select(statuspeople, person.statusperson),
            { prompt: t('please_select_label') },
            { class: 'ui selection dropdown required', required: true})%>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :maritalstate, t('person.maritalstate_label') %>
        </div>
        <% maritalstate = Person.marital_states.map { |k, v| [ t("person.#{k}_label"), v ] } %>
        <div class="form-group__input">
          <%= form.select(:maritalstate, options_for_select(maritalstate, person.maritalstate),
            { prompt: t('please_select_label') },
            { class: 'ui selection dropdown'})%>
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :educate, t('person.educate_label') %>
        </div>
        <% educate = Person.peducates.map { |k, v| [ t("person.#{k}_label"), v.to_s ] } %>
        <div class="form-group__input">
          <%= form.select(:educate, options_for_select(educate, person.educate),
            { prompt: t('please_select_label') },
            { class: 'ui selection dropdown'})%>
        </div>
      </div>
    </div>
    
    <div class="form-wrapper --inline">
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :career, t('person.career_label') %>
        </div>
        <% career = Person.pcareers.map { |k, v| [ t("person.#{k}_label"), v ] } %>
        <div class="form-group__input">
          <%= form.select(:career, options_for_select(career, person.career),
            { prompt: t('please_select_label') },
            { class: 'ui selection dropdown'})%>
        </div>
      </div>
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :commustate, t('person.commustate_label') %>
        </div>
        <% commustate = Person.pcommustates.map { |k, v| [ t("person.#{k}_label"), v ] } %>
        <div class="form-group__input">
          <%= form.select(:commustate, options_for_select(commustate, person.commustate),
            { prompt: t('please_select_label') },
            { class: 'ui selection dropdown'})%>
        </div>
      </div>
    </div>
    
    <div class="form-wrapper --inline">
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :maininscl, t('person.maininscl_label') %>
        </div>
        <% maininscl = Person.pmaininscls.map { |k, v| [ t("person.#{k}_label"), v ] } %>
        <div class="form-group__input">
          <%= form.select(:maininscl, options_for_select(maininscl, person.maininscl),
            { prompt: t('please_select_label') },
            { class: 'ui selection dropdown'})%>
        </div>
      </div>
      <div class="form-group"> 
        <div class="form-group__input ">
          <div class="radio-group maininscl_type">
            <label class="radio-button">
              <%= form.radio_button :maininscl_type, '1' %>
              <span class="text">
                <%= t('person.maininscl_type_in_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :maininscl_type, '2' %>
              <span class="text">
                <%= t('person.maininscl_type_out_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
    </div>

    <div class="form-wrapper">
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :familystate, t('person.familystate_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :familystate, '1' %>
              <span class="text">
                <%= t('person.familystate_host_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :familystate, '2' %>
              <span class="text">
                <%= t('person.familystate_member_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
    </div>

    <div class="form-wrapper">
      <div class="form-group --offset-right-2">
        <div class="form-group__label">
          <%= form.label :datemovin, t('person.datemovin_label') %>
        </div>
        <div class="form-group__input ui input" id="datemovin">
          <%= form.text_field :datemovin, value: person.datemovin&.to_date&.strftime('%m-%d-%Y'), autocomplete: 'off', required: false %>
        </div>
      </div>
    </div>

    <div class="form-wrapper">
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :healthcheck, t('person.healthcheck_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :healthcheck, '1' %>
              <span class="text">
                <%= t('check') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :healthcheck, '2' %>
              <span class="text">
                <%= t('not_check') %>
              </span>
            </label>
          </div>
        </div>
      </div>
    </div>

    <div class="form-wrapper">
      <div class="form-group">
        <div class="form-group__label">
        <%= form.label :oralhealth, t('person.oralhealth_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :oralhealth, '1' %>
              <span class="text">
                <%= t('check') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :oralhealth, '2' %>
              <span class="text">
                <%= t('not_check') %>
              </span>
            </label>
          </div>
        </div>
      </div>
    </div>
    
    <div class="form-wrapper">
      <div class="form-group --offset-right-2">
        <div class="form-group__label">
          <%= form.label :pracsick, t('person.pracsick_label') %>
        </div>
        <% pracsick = Person.ppracsicks.map { |k, v| [ t("person.#{k}_label"), v ] } %>
        <div class="form-group__input">
          <%= form.select(:pracsick, options_for_select(pracsick, person.pracsick),
            { prompt: t('please_select_label') },
            { class: 'ui selection dropdown'})%>
        </div>
      </div>
    </div>

    <div class="form-wrapper">
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :drugallergic, t('person.drugallergic_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :drugallergic, '1' %>
              <span class="text">
                <%= t('person.drugallergic_type1_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :drugallergic, '2' %>
              <span class="text">
                <%= t('person.drugallergic_type2_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :drugallergic, '3' %>
              <span class="text">
                <%= t('person.drugallergic_type3_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
    </div>
    
    <div class="form-wrapper">
      <div class="form-group --offset-right-2" id="detail_drug">
        <div class="form-group__label">
          <%= form.label :detaildrug, t('person.detaildrug_label') %>
        </div>
        <div class="form-group__input ui input">
          <%= form.text_field :detaildrug %>
        </div>
      </div>
    </div>

    <div class="form-wrapper">
      <div class="form-group">
        <div class="form-group__label">
          <%= form.label :foodallergy, t('person.foodallergy_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :foodallergy, '1' %>
              <span class="text">
                <%= t('person.foodallergy_type1_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :foodallergy, '2' %>
              <span class="text">
                <%= t('person.foodallergy_type2_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
    </div>

    <div class="form-wrapper">
      <div class="form-group --offset-right-2" id="detail_food">
        <div class="form-group__label">
          <%= form.label :detailfood, t('person.detailfood_label') %>
        </div>
        <div class="form-group__input ui input">
          <%= form.text_field :detailfood %>
        </div>
      </div>
    </div>

    <div class="form-title"><%= t('person.health_assessment_label') %></div>
    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :riskbehav, t('person.riskbehav_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :riskbehav, '0' %>
              <span class="text">
                <%= t('not_have_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :riskbehav, '1' %>
              <span class="text">
                <%= t('have_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :smoke, t('person.smoke_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :smoke, '0' %>
              <span class="text">
                <%= t('not_have_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :smoke, '1', "data-label": t('have_label') %>
              <span class="text">
                <%= t('have_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :allgoho, t('person.allgoho_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :allgoho, '0' %>
              <span class="text">
                <%= t('not_have_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :allgoho, '1' %>
              <span class="text">
                <%= t('have_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :energydrink, t('person.energydrink_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :energydrink, '0' %>
              <span class="text">
                <%= t('not_have_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :energydrink, '1' %>
              <span class="text">
                <%= t('have_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :addictive, t('person.addictive_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :addictive, '0' %>
              <span class="text">
                <%= t('not_have_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :addictive, '1' %>
              <span class="text">
                <%= t('have_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :workdanger, t('person.workdanger_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :workdanger, '0' %>
              <span class="text">
                <%= t('not_have_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :workdanger, '1' %>
              <span class="text">
                <%= t('have_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :foodbehav, t('person.foodbehav_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :foodbehav, '0' %>
              <span class="text">
                <%= t('not_have_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :foodbehav, '1' %>
              <span class="text">
                <%= t('have_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :overbmi, t('person.overbmi_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :overbmi, '0' %>
              <span class="text">
                <%= t('not_have_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :overbmi, '1' %>
              <span class="text">
                <%= t('have_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group --inline --wide">
        <div class="form-group__label">
          <%= form.label :geneticdiseas, t('person.geneticdiseas_label') %>
        </div>
        <div class="form-group__input-group">
          <div class="form-group__button">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :geneticdiseas, '0' %>
              <span class="text">
                <%= t('not_have_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :geneticdiseas, '1' %>
              <span class="text">
                <%= t('have_label') %>
              </span>
            </label>
          </div>
        </div>
          <div class="form-group__input">
            <div class="ui input" id="geneticdiseas_other">
              <%= form.text_field :geneticdiseas_other, placeholder: t('detail_label') %> 
        </div>
      </div> 
        </div>
      </div> 
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :drugright, t('person.drugright_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :drugright, '0' %>
              <span class="text">
                <%= t('not_have_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :drugright, '1' %>
              <span class="text">
                <%= t('have_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :dentprob, t('person.dentprob_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :dentprob, '0' %>
              <span class="text">
                <%= t('not_have_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :dentprob, '1' %>
              <span class="text">
                <%= t('have_label') %>
              </span>
            </label>
          </div>
        </div>
      </div> 
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :nothealch, t('person.nothealch_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :nothealch, '0' %>
              <span class="text">
                <%= t('not_have_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :nothealch, '1' %>
              <span class="text">
                <%= t('have_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :sexrisk, t('person.sexrisk_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :sexrisk, '0' %>
              <span class="text">
                <%= t('not_have_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :sexrisk, '1' %>
              <span class="text">
                <%= t('have_label') %>
              </span>
            </label>
          </div>
        </div>
      </div> 
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :otherrisk, t('person.otherrisk_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :otherrisk, '0' %>
              <span class="text">
                <%= t('not_have_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :otherrisk, '1' %>
              <span class="text">
                <%= t('have_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :exercis, t('person.exercis_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :exercis, '0' %>
              <span class="text">
                <%= t('not_have_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :exercis, '1' %>
              <span class="text">
                <%= t('have_label') %>
              </span>
            </label>
          </div>
        </div>
      </div> 
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :strain, t('person.strain_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :strain, '0' %>
              <span class="text">
                <%= t('not_have_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :strain, '1' %>
              <span class="text">
                <%= t('have_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
    </div>

    <div class="form-wrapper --inline">
      <div class="form-group --wide">
        <div class="form-group__label">
          <%= form.label :sumhealth, t('person.sumhealth_label') %>
        </div>
        <div class="form-group__input">
          <div class="radio-group">
            <label class="radio-button">
              <%= form.radio_button :sumhealth, '1' %>
              <span class="text">
                <%= t('person.sumhealth_type1_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :sumhealth, '2' %>
              <span class="text">
                <%= t('person.sumhealth_type2_label') %>
              </span>
            </label>
            <label class="radio-button">
              <%= form.radio_button :sumhealth, '3' %>
              <span class="text">
                <%= t('person.sumhealth_type3_label') %>
              </span>
            </label>
          </div>
        </div>
      </div>
    </div>

    <div class="form-title --disease">
      <%= t 'disease.title_label' %>
    </div>

    <div id="disease_contents" class="form-wrapper">
      <%# <% @person.diseases.each do |disease| %>
        <%# <%= render partial: 'diseases/new', layout: false, locals: { disease: disease } %> 
      <%# <% end %> 
      <table class="ui table unstackable fixed --disease">
        <thead>
          <tr>
            <th><%= t('disease.name_label') %></th>
            <th><%= t('disease.dtype_label') %></th>
            <th><%= t('disease.sick_at_label') %></th>
            <th><%= t('disease.treat_at_label') %></th>
            <th data-label="<%= t('disease.title_label') %>"></th>
          </tr>
        </thead>
        <%= form.fields_for :diseases, person.diseases do |ff| %>
          <tbody>
            <tr>
              <td>
                <div class="label">
                  <label><%= t('disease.name_label') %></label>
                </div>
                <div class="ui input">
                  <%= ff.text_field "name" %>
                </div>
              </td>
              <td>
                <div class="label">
                  <label><%= t('disease.dtype_label') %></label>
                </div>
                <div class="ui input">
                  <label data-type="checkbox">
                    <%= ff.check_box :dtype, {}, '1', '2' %>
                    <span class="text">
                      <%= t('disease.dtype_communicable_label') %> 
                    </span>
                  </label>
                </div>
              </td>
              <td>
                <div class="label">
                  <label><%= t('disease.sick_at_label') %></label>
                </div>
                <div class="ui input sickat">
                  <%= ff.text_field :sick_at, autocomplete: 'off', required: false %>
                </div>
              </td>
              <td>
                <div class="label">
                  <label><%= t('disease.treat_at_label') %></label>
                </div>
                <div class="ui input">
                  <%= ff.text_field "treat_at" %>
                </div>
              </td>
              <td>
                <label data-type="checkbox">
                  <%= ff.check_box :_destroy %>
                  <span class="text">
                    <%= t('destroy_label') %> 
                  </span>
                </label>
              </td>
            </tr>
          </tbody>
        <% end %>
        <tfoot class="full-width">
          <tr>
            <th colspan="5">
              <%= form.submit t('disease.add_label'), name: "add_disease", class: "ui button --submit right floated" %>
              <%= form.submit t('disease.destroy_label'), name: "remove_disease", class: "ui button right floated" %>
            </th>
          </tr>
        </tfoot>
      </table>
    </div>
  </div>

  <div class="form-action">
    <%= link_to t('cancel_label'),  community_survey_house_family_folder_people_path, class: "ui button" %>
    <%= form.submit t('save_label'), class: "ui button --submit" %>
  </div>
<% end %>

<div class="ui tiny modal not-found-modal">
  <div class="content">
    <p>ไม่พบบุคคลในฐาน สปสช. กรุณาตรวจสอบเลขบัตรประชาชน</p>
  </div>
  <div class="actions">
    <div style="display: flex">
      <button class="ui positive ok button">
        ตกลง
      </button>
    </div>
  </div>
</div>

<div class="ui tiny modal not-thai-person-modal">
  <div class="content">
    <p>ไม่พบบุคคลในฐาน สปสช. ยืนยันการบันทึกข้อมูล</p>
  </div>
  <div class="actions">
    <div style="display: flex">
      <button class="ui positive ok button">
        ตกลง
      </button>
      <button class="ui negative cancel button">
        ยกเลิก
      </button>
    </div>
  </div>
</div>


<% content_for :additional_javascripts do %>
  <%= javascript_pack_tag 'form/people' %>
<% end %>
